{
--------------------------------------------------------------------------------
 Proyecto : BPF
 Unit     : BPF.dpr
 Propsito: Backups automticos desatendidos de las bases de datos firebird

 Autor    : antonio prez camacho (ampcampc@gmail.com)
            Copyright (C) 2007
 Historia :
 Fecha    : 04/06/2007 14:12:21
 Notas    :
--------------------------------------------------------------------------------
 Licencia :
    Este programa es software libre: usted puede redistribuirlo y/o modificarlo
    bajo los trminos de la Licencia Pblica General GNU publicada
    por la Fundacin para el Software Libre, ya sea la versin 3
    de la Licencia, o (a su eleccin) cualquier versin posterior.

    Este programa se distribuye con la esperanza de que sea til, pero
    SIN GARANTA ALGUNA; ni siquiera la garanta implcita
    MERCANTIL o de APTITUD PARA UN PROPSITO DETERMINADO.
    Consulte los detalles de la Licencia Pblica General GNU para obtener
    una informacin ms detallada.

    Debera haber recibido una copia de la Licencia Pblica General GNU
    junto a este programa.
    En caso contrario, consulte <http://www.gnu.org/licenses/>.
}

program BPF;

uses
  Forms,
  SysUtils,
  Windows,
  UFmain in 'UFmain.pas' {Fmain},
  UFbackup in 'UFbackup.pas' {FBackup},
  UFConfigurar in 'UFConfigurar.pas' {FConfigurar},
  UFVerLog in 'UFVerLog.pas' {FVerLog},
  UFAcercaDe in 'UFAcercaDe.pas' {FAcercaDe},
  UFlogo in 'UFlogo.pas' {Flogo};

{$R *.res}

resourcestring
    SAlreadyRunning = 'BPF ya est en memoria...';

function AlreadyRunning(const AIdentifier: string): Boolean;
begin
    CreateMutex(nil, False, PChar(AIdentifier));
    AlreadyRunning := GetLastError = ERROR_ALREADY_EXISTS;
end;


begin
    // controlar ms de una instancia del programa.
    if AlreadyRunning( 'AMPC-BPF-01' ) then
    begin
        MessageBox(0, PChar(SAlreadyRunning), 'BPF', MB_ICONINFORMATION or MB_OK);
        Halt(1);
    end;
    // -----------------------------------------------
    //
    Application.Initialize;
    //
    TwoDigitYearCenturyWindow := 80;
    ShortDateFormat := 'dd/mm/yyyy';
    //
    FLogo := TFlogo.Create ( Application );
    Flogo.Show;
    Flogo.Update;
    //
    Application.HintHidePause := 7500;    // 7.5 segundos para los hints (original son 2500
    Application.Title := 'BPF - (Backups Planificados Firebird)';
    //
    Application.CreateForm(TFmain, Fmain);
    Application.CreateForm(TFBackup, FBackup);
    Application.CreateForm(TFConfigurar, FConfigurar);
    Application.CreateForm(TFVerLog, FVerLog);
    Application.CreateForm(TFAcercaDe, FAcercaDe);
    //
    Application.Run;
    //
end.

