{
--------------------------------------------------------------------------------
 Proyecto : BPF
 Unit     : UFbackup.pas
 Propsito: 
 
 Autor    : antonio
            Copyright (C) 2007 ampc
 Historia :
 Fecha    : 17/05/2007 8:52:32
 Notas    :
--------------------------------------------------------------------------------
 Licencia :
    Este programa es software libre: usted puede redistribuirlo y/o modificarlo
    bajo los trminos de la Licencia Pblica General GNU publicada
    por la Fundacin para el Software Libre, ya sea la versin 3
    de la Licencia, o (a su eleccin) cualquier versin posterior.

    Este programa se distribuye con la esperanza de que sea til, pero
    SIN GARANTA ALGUNA; ni siquiera la garanta implcita
    MERCANTIL o de APTITUD PARA UN PROPSITO DETERMINADO.
    Consulte los detalles de la Licencia Pblica General GNU para obtener
    una informacin ms detallada.

    Debera haber recibido una copia de la Licencia Pblica General GNU
    junto a este programa.
    En caso contrario, consulte <http://www.gnu.org/licenses/>.
}

unit UFbackup;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Mask, StdCtrls, Buttons, ToolEdit, RXCtrls, ToolWin, ComCtrls,
  ExtCtrls;

type
  TFBackup = class(TForm)
    gb2: TGroupBox;
    lb3: TRxLabel;
    lb4: TRxLabel;
    lb5: TRxLabel;
    lb6: TRxLabel;
    lb7: TRxLabel;
    cxActivo: TCheckBox;
    dlgDestino: TDirectoryEdit;
    edProximo: TDateEdit;
    cbIntervalo: TComboBox;
    edHora: TMaskEdit;
    lb2: TRxLabel;
    RxLabel1: TRxLabel;
    dlgOrigen: TFilenameEdit;
    ToolBar1: TToolBar;
    btCancelar: TSpeedButton;
    btAceptar: TSpeedButton;
    img1: TImage;
    procedure FormShow(Sender: TObject);
    procedure btAceptarClick(Sender: TObject);
    procedure btCancelarClick(Sender: TObject);
    procedure edHoraExit(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure dlgOrigenButtonClick(Sender: TObject);
    procedure dlgOrigenAfterDialog(Sender: TObject; var Name: String;
      var Action: Boolean);
    procedure edProximoEnter(Sender: TObject);
  private
    { Private declarations }
    cTmpOrigen : string;
    procedure LimpiarCampos;
    function ChequearDatos:Boolean;
  public
    { Public declarations }
    iEstado : Integer;  // 1=nuevo  2=editar
  end;

var
  FBackup: TFBackup;

implementation

uses UFmain;

{$R *.dfm}

{ TFBackup }

procedure TFBackup.LimpiarCampos;
begin
    dlgOrigen.Text := '';
    dlgOrigen.FileName := '';
    dlgDestino.Text := '';
    edHora.Text := '00:00';
    cbIntervalo.ItemIndex := 0;
    edProximo.Text := '';
    cxActivo.Checked := True;
end;

procedure TFBackup.FormShow(Sender: TObject);
begin
    case iEstado of
        1:  begin {nuevo}
                LimpiarCampos;
            end;
        2:  begin {editar}
                //
            end;
    end;
    //
    lb2.Color := _COLORTITULO_;
    lb2.Font.Color := _COLORFONT_; 
end;

procedure TFBackup.btAceptarClick(Sender: TObject);
begin
    if ChequearDatos then
        ModalResult := mrOk
    else
        ModalResult := mrNone;
end;

function TFBackup.ChequearDatos: Boolean;
begin
    Result := False;
    if (dlgOrigen.FileName='')  or
       (dlgDestino.Text='')     or
       (edHora.Text='')         or
       (cbIntervalo.Text='')    or
       (edProximo.Date=0)       then
    begin
        Application.MessageBox('Revise y complete los datos','Comprobar datos',MB_OK+MB_ICONWARNING);
        Exit;
    end;
    //
    Result := True;
end;

procedure TFBackup.btCancelarClick(Sender: TObject);
begin
    ModalResult := mrCancel;
end;

procedure TFBackup.edHoraExit(Sender: TObject);
var
    dHora : TTime;
begin
    try
        dHora := StrToTime(edHora.Text);
    except
        Application.MessageBox('No es una hora correcta.','Comprobar datos',MB_OK+MB_ICONWARNING);
        edHora.SetFocus;
    end;
end;

procedure TFBackup.FormKeyPress(Sender: TObject; var Key: Char);
begin
    if (KEY = #13) then
    begin
        SelectNext( ActiveControl, true, true);
        KEY := #0;
    end;
end;

procedure TFBackup.dlgOrigenButtonClick(Sender: TObject);
begin
    cTmpOrigen := dlgOrigen.FileName;
    dlgOrigen.FileName := ExtractFilePath(dlgOrigen.FileName);
end;

procedure TFBackup.dlgOrigenAfterDialog(Sender: TObject; var Name: String;  var Action: Boolean);
begin
    if Action=False then
        dlgOrigen.FileName := cTmpOrigen;
end;


procedure TFBackup.edProximoEnter(Sender: TObject);
begin
    if iEstado=1 then // 1.nuevo  2.editar
    try
        if StrToTime(edHora.Text)>Frac(Now) then
            edProximo.Text := DateToStr(Trunc(Now))
        else
            edProximo.Text := DateToStr(Trunc(Now)+1);
    except
    end;
end;

end.
